#include "BasicItems.h"
#include "ModelInfo.h"

WoodStickItemType::WoodStickItemType()
	: ItemType(ID, "WoodenStick", 0, 0, ModelInfo("items.m3/stick", "items.ltdb/stick.png", 1))
{}

Item* WoodStickItemType::createItem() const
{
	return createBasicItem("Wooden Stick", 1.f, 1.f, 10.f, 10.f, 0, 0, 0, 1, 0, 50);
}


ResinItemType::ResinItemType()
	: ItemType(ID, "Resin", 0, 0, ModelInfo("itemCube", "items.ltdb/resin.png", 6))
{}

Item* ResinItemType::createItem() const
{
	return createBasicItem("Resin", 1.f, 1.f, 10.f, 10.f, 0, 0, 0, 1, 0, 50);
}