#pragma once
#include "Noise.h"
#include "FastNoiseLite.h"

class FastNoiseWrapper : public Noise
{
private:
	int seed;
	float multiplier;
	FastNoiseLite* noise;

public:
	FastNoiseWrapper(FastNoiseLite* noise, int seed);
	~FastNoiseWrapper();
	void setMultiplier(float multiplier);
	int getSeed() const;
	double getNoise(double x, double y, double z);
};