#pragma once

#include "MultiblockStructure.h"
#include "StaticRegistry.h"

class MultiblockTree : public MultiblockStructure
{
public:
	MultiblockTree(int dimensionId, __int64 structureId, Framework::Vec3<int> uniquePosition);
	virtual void onBlockRemoved(Block* zBlock) override;
};


class MultiblockTreeStructureType : public MultiblockStructureType
{
	REGISTRABLE(MultiblockTreeStructureType)

protected:
	MultiblockTreeStructureType();

public:
	virtual MultiblockStructure* createStructure(int dimensionId, __int64 structureId, Framework::Vec3<int> uniquePosition) const override;
};
REGISTER(MultiblockTreeStructureType, MultiblockStructureType)