#pragma once

#include "DimensionGenerator.h"
#include "StaticRegistry.h"
#include "Noise.h"

class OverworldDimension : public DimensionGenerator
{
	REGISTRABLE(OverworldDimension)

private:
	Noise* biomNoise;
	Noise* structureNoise;

public:
	OverworldDimension();
	~OverworldDimension();
	Noise* zBiomNoise() override;
	Noise* zStructureNoise() override;
};

#ifdef REGISTER
REGISTER(OverworldDimension, DimensionGenerator)
#endif