#pragma once

#include "BiomGenerator.h"
#include "StaticRegistry.h"

class GrasslandBiom : public BiomGenerator
{
	Noise* heightNoise;

public:
	GrasslandBiom();
	~GrasslandBiom();
	Framework::Either<Block*, int> generateSurfaceBlock(int x, int y, int z) override;
	Framework::Either<Block*, int> generateBelowSurfaceBlock(int x, int y, int z) override;
	Framework::Either<Block*, int> generateCaveBlock(int x, int y, int z) override;
	Noise* zHeightMapNoise(int seed) override;
};